# AAPS -> 硅基动感科研版
*v1.0*

### 示例：

```java
Intent intent = new Intent();
intent.setAction(Action);
intent.setClassName(PackageName,ClassName)
intent.putExtra("data",data);
Context.sendBroadcast(intent);
```

#### 参数 ：

- ACTION
    - 类型：String 常量
    - 区分大小写
    - 值：com.sisensing.cgm.EXTRA_BG

- PackageName
    - 类型：String 常量
    - 区分大小写
    - 值：info.nightscout.androidaps

- ClassName
    - 类型：String 常量
    - 区分大小写
    - 值：info.nightscout.androidaps.receivers.DataReceiver

- data
    - 类型：String  
    - 区分大小写
    - 值：AES 加密的 Json

### 解密数据包：
```java
String aeskey ="password";
String data = AESUtils3.encrypt(json, aeskey); //加密
String json = AESUtils3.decrypt(data, aeskey); //解密
```
- 测试密钥：5zsSIo3VvNMVaSxQXUmpedvs6EnHmEeqhJJdzFKBpJ8=
- [AESUtils3](./AESUtils3.java)

### JSON结构：

```json
    {
        "time":12131231,
        "bg":5.6,
        "trend":-2
    }
```

#### 字段解析：
- time
    - 类型：时间戳
    - 描述：血糖的时间戳，单位毫秒。

- bg
    - 类型：浮点
    - 描述：血糖值，单位mmol/L

- trend
    - 类型：整型
    - 描述：血糖当前趋势（枚举值）
         - 2：较快上升，箭头向上
         - 1：缓慢上升，箭头斜向上
         - 0：平稳，箭头平指
         - -1：缓慢下降，箭头斜向下
         - -2：较快下降，箭头向下