# 数据包

## 数据包示例

```json
{
    "mode":"close",
    "iob":"10.12 U",
    "cob":"30 g 12要",
    "br":"T:0.00 U/h",
    "br_icon":"low",
    "bg":"12.8",
    "bg_unit":"mmol/l",
    "bg_time":1704425987872,
    "bg_trend":"flat",
    "bg_timeout":false
}
```
**注：**`每次广播数据必定是完整的数据格式。`

## 数据包字段

* mode：运行模式
  * 类型：String,枚举。
  * 值：
    * close：闭环模式。
    * open: 开环模式。
    * lgs: 低血糖维持模式。
    * paused: 禁用/暂停闭环
    * disconnected: 已断开连接
    * disabled: 闭环禁用

<br/>

* iob：体内残留活性胰岛素
  * 类型：String
  * 值：是""不显示，不是""显示。

<br/>

* cob: 活性碳水化合物
  * 类型：String
  * 值：是""不显示，不是""显示。

<br/>

* br：基础速率
  * 类型：String
  * 值：是""不显示，不是""显示。

<br/>

* br_icon：基础速率
  * 类型：String,枚举。
  * 值：
    * low：低的临时基础率
    * none: 没有临时基础率
    * high：高的临时基础率

<br/>

* bg：血糖
  * 类型：String
  * 值：是""不显示，不是""显示。
  * 
<br/>

* bg_unit：血糖单位
  * 类型：String
  * 值：是""不显示，不是""显示。

<br/>

* bg_time：血糖时间
  * 类型：String。
  * 值：是""不显示，不是""显示。

<br/>

* bg_trend：血糖趋势
  * 类型：String，枚举。
  * 值：
    * none:没有趋势
    * flat:向右箭头
    * forty_five_up:斜向上箭头
    * forty_five_down:斜向下箭头
    * single_up:单个向上箭头
    * single_down:单个向下箭头
    * double_up:两个向上箭头
    * double_down:两个向下箭头

<br/>

* bg_timeout：血糖已过时
  * 类型：Boolean。
  * 值：
    * true : 过时。
    * false: 实时。


## 字段与图片对应图

![](./pic1.jpg)

## 血糖时间转换逻辑

![](./aaps血糖时间转换逻辑.jpg)

