# 硅基广播数据

### 示例：

```java
Intent intent = new Intent(ACTION);
intent.setPackage(PackageName);
intent.putExtra("valid",1);
intent.putExtra("time",3099924107678L);
intent.putExtra("bg",6.5123456789d);
intent.putExtra("trend",-2);
intent.putExtra("ast",1);
intent.putExtra("status",1);
intent.putExtra("index",1);
Context.sendBroadcast(intent);
```

### 参数 ：

- ACTION
    - 类型：String 常量
    - 区分大小写
    - 值：com.sisensing.cgm.EXTRA_BG

- PackageName
    - 类型：String 常量
    - 区分大小写
    - 值：com.sgtc.launcher （阿特奇）

- valid(key->value)
    - 类型：int
    - 描述：数据是否有效，大于0且不等于0则数据有效，会被表盘收纳。

- time(key->value)
    - 类型：long
    - 描述：血糖的时间戳，单位毫秒。

- bg(key-value)
    - 类型：double
    - 描述：血糖值，单位mmol/L

- trend(key->value)
    - 类型：int
    - 描述：血糖当前趋势（枚举值）
         - 2：较快上升，箭头向上
         - 1：缓慢上升，箭头斜向上
         - 0：平稳，箭头平指
         - -1：缓慢下降，箭头斜向下
         - -2：较快下降，箭头向下

- ast(key->value)
    - 类型：int
    - 描述：血糖报警状态
         - 1：正常
         - 2：传感器异常
         - 3：温度过高
         - 4：温度过低
         - 5：血糖过高
         - 6：血糖过低

- status(key->value)
    - 类型：int
    - 描述：设备状态
         - 0：未启用
         - 1：使用中
         - 2：已停用
         - 3：初始化
         - 4：异常
         
- index(key->value)
    - 类型：int
    - 描述：当前血糖的笔数


## 字段与图片对应图

![](./pic3.jpg)

## 血糖展示逻辑

![](./血糖逻辑图.jpg)

## 血糖时间容错逻辑

![](./血糖数据时间容错图.jpg)


### 血糖时间转换成字符串逻辑

![](./血糖时间转换文字逻辑图.jpg)
