# 微泰手表对接AAPS
*v1.0*

| 时间      | 内容 | 版本 | 修订人 |
| --------- | ---- | ---- | ------ |
| 2024-1-22 | 创建 | 1.0  | kot    |

## Aidex Send AAPS 示例：

```java
Intent intent = new Intent();
intent.setAction(Action);
// 填充数据
intent.putExtra("bg", bgValue)
intent.putExtra("glucoseTime", bgTime)
intent.putExtra("trend", bgTrend)
Context.sendBroadcast(intent);
```

- ACTION
    - 类型：String 常量
    - 区分大小写
    - 值：com.microtechmd.cgm.EXTRA_BG
<br/>
- bgTime
    - 类型：时间戳,Long
    - 描述：血糖的时间戳，单位毫秒。
<br/>
- bgValue
    - 类型：整型，Int
    - 描述：血糖值，单位mg/dl
<br/>
- bgTrend
    - 类型：整型,Int,枚举
    - 描述：血糖当前趋势（枚举值）
         - 2：较快上升，箭头向上
         - 1：缓慢上升，箭头斜向上
         - 0：平稳，箭头平指
         - -1：缓慢下降，箭头斜向下
         - -2：较快下降，箭头向下

## AAPS Receiver Aidex 示例：

```java
private BroadcastReceiver receiver = new BroadcastReceiver() {
    @Override
    public void onReceive(context: Context, intent: Intent) {
        int bg=getIntExtra("bg",0);
        int time=getLongExtra("glucoseTime",0);
        int trend=getIntExtra("trend",0);

        //do samething
    }
};

// 订阅
IntentFilter filter=new IntentFile();
filter.addAction("com.microtechmd.cgm.EXTRA_BG");
context.registerReceiver(receiver,filter);

// 取消订阅
context.unregisterReceiver(receiver);
```

### 注意

* Aidex 无效数据，bg=0。
* 断连历史数据不会发送，只发送最新。